Subject: Re: [PATCH v9 tip 0/9] tracing: attach eBPF programs to kprobes

From: Ingo Molnar <[email-masked]>
Date: Mon, 23 Mar 2015 08:36:44 +0100

* Steven Rostedt <[email-masked]> wrote:

> On Fri, 20 Mar 2015 16:30:01 -0700
> Alexei Starovoitov <ast-uqk4Ao+rVK5Wk0Htik3J/[email-masked]> wrote:
> 
> > Hi Ingo,
> > 
> > I think it's good to go.
> > Patch 1 is already in net-next. Patch 3 depends on it.
> > I'm assuming it's not going to be a problem during merge window.
> > Patch 3 will have a minor conflict in uapi/linux/bpf.h in linux-next,
> > since net-next has added new lines to the bpf_prog_type and bpf_func_id enums.
> > I'm assuming it's not a problem either.
> > 
> > V8->V9:
> > - fixed comment style and allowed ispunct after %p
> > - added Steven's Reviewed-by. Thanks Steven!
> 
> Hi Ingo,
> 
> I'm fine with this series, so don't let me hold it up from going into
> your tree.

Ok, thanks!

Looks like a very powerful instrumentation interface to me.

Thanks,

	Ingo